info:
  name: Logout
  type: http
  seq: 2

http:
  method: POST
  url: "{{elixFormsApiUrl}}/authentication/:username/logout/v1"
  headers:
    - name: x-requested-with
      value: XMLHttpRequest
  params:
    - name: username
      value: "{{elixFormsApiUsername}}"
      type: path
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Logout - Success
    request:
      url: "{{elixFormsApiUrl}}/authentication/:username/logout/v1"
      method: POST
      params:
        - name: username
          value: "{{elixFormsApiUsername}}"
          type: path
      body:
        type: form-urlencoded
    response:
      statusText: "200"
      headers:
        - name: cache-control
          value: no-cache, no-store, must-revalidate
        - name: pragma
          value: no-cache
        - name: proxy-connection
          value: Keep-Alive
        - name: x-content-security-policy
          value: default-src 'self'; connect-src 'self'; font-src 'none'; img-src 'self'; media-src 'self'; object-src 'self'; plugin-types application/pdf audio/x-wav; referrer no-referrer; reflected-xss block; script-src 'self'; style-src 'self'
        - name: content-type
          value: application/json;charset=UTF-8
        - name: strict-transport-security
          value: max-age=63072000;includeSubDomains
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: x-xss-protection
          value: 1;mode=block
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
        - name: transfer-encoding
          value: chunked
        - name: vary
          value: Accept-Encoding
        - name: content-encoding
          value: gzip
      body:
        type: json
        data: |-
          {
              "value": {
                  "code": "OK",
                  "description": "OK",
                  "complete": true,
                  "globalStatus": "OK",
                  "serviceInformationList": {
                      "serviceInformation": [
                          {
                              "ITSystemName": "EF-CORE",
                              "complete": true,
                              "serviceVersion": "1.2.0",
                              "statusDetailList": {
                                  "statusDetail": [
                                      {
                                          "code": "OK",
                                          "description": "OK",
                                          "detailStatus": "OK"
                                      }
                                  ]
                              }
                          }
                      ]
                  },
                  "uuid": "4db3952b-ee30-4614-994d-db161b5b833c",
                  "version": "3.0.0",
                  "matchingEntitiesSize": 0
              }
          }
  - name: Logout - Failure
    request:
      url: "{{elixFormsApiUrl}}/authentication/:username/logout/v1"
      method: POST
      params:
        - name: username
          value: "{{elixFormsApiUsername}}"
          type: path
      body:
        type: form-urlencoded
    response:
      statusText: "401"
      headers:
        - name: cache-control
          value: no-store, no-transform
        - name: pragma
          value: no-cache
        - name: proxy-connection
          value: Keep-Alive
        - name: x-content-security-policy
          value: default-src 'self'; connect-src 'self'; font-src 'none'; img-src 'self'; media-src 'self'; object-src 'self'; plugin-types application/pdf audio/x-wav; referrer no-referrer; reflected-xss block; script-src 'self'; style-src 'self'
        - name: www-authenticate
          value: Bearer realm="https://procedure.unipr.it"
        - name: content-language
          value: ""
        - name: content-type
          value: text/html;charset=UTF-8
        - name: content-length
          value: "1074"
        - name: strict-transport-security
          value: max-age=63072000;includeSubDomains
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: x-xss-protection
          value: 1;mode=block
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
      body:
        type: html
        data: |-
          <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
          <html xmlns="http://www.w3.org/1999/xhtml">
              <head>
                  <title>Payara Server 6.2025.1 #badassfish - Error report</title>
                  <style type="text/css">
                      <!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}HR {color : #525D76;}-->
                  </style>
              </head>
              <body>
                  <h1>HTTP Status 401 - Unauthorized</h1>
                  <hr/>
                  <p>
                      <b>type</b> Status report
                  </p>
                  <p>
                      <b>message</b>Unauthorized
                  </p>
                  <p>
                      <b>description</b>This request requires HTTP authentication.
                  </p>
                  <hr/>
                  <h3>Payara Server 6.2025.1 #badassfish</h3>
              </body>
          </html>
